Login  |  Packages  |  Support  |  Bugs
Top Level :: Authentication :: krb5 :: 1.1.3

krb5 1.1.3

Package Information
Summary Features:
Maintainers Moritz Bechler < mbechler at eenterphace dot org > (lead) [details]
License MIT License
Description + An interface for maintaining credential caches (KRB5CCache),
that can be used for authenticating against a kerberos5 realm
+ Bindings for nearly the complete GSSAPI (RFC2744)
+ The administrative interface (KADM5)
+ Support for HTTP Negotiate authentication via GSSAPI

Documentation:
+ see docs/ for the API documentation
+ there are several pieces of example code in the examples/ directory
+ see below for install instructions
Release notes
Version 1.1.3
(stable)
- [BUG] Keep proper minor status for error reporting in initSecContex
- [BUG] remove some overlooked debugging output
- [BUG] fix PECL package license metadata
- [FEATURE] Add API for password expiration information (MIT >=1.9 only)
- [FEATURE] Allow leaving the NegotiateAuth SPN unspecified (allow all from keytab)
- [FEATURE] Add support for gss_acquire_cred_from() instead of setting the per process keytab (in NegotiateAuth,
GSSAPI to follow).
- [FEATURE] Allow overriding SPN for NegotiateAuth.

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source ] [ Package Bugs ]
[ Report new bug ]

Dependencies for release 1.1.3
PHP Version: PHP 5.2.0 or newer
PEAR Package: PEAR 1.4.8 or newer
PRIVACY POLICY  |  CREDITS
Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Jun 01 07:05:01 2020 UTC
Bandwidth and hardware provided by: pair Networks